BlogApplication/Models/Article.cs
using System;
using System.ComponentModel.DataAnnotations;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Web;

namespace BlogApplication.Models
{
    public class Article
    {
        
        public int Id { get; set; }

        [Display(Name = "Название статьи")]
        public string Title { get; set; }

        [Display(Name = "Текст статьи")]
        public string Text { get; set; }

        [Display(Name = "Дата публикации статьи")]
        public DateTime PublicationDate { get; set; }

        [Display(Name = "Автор статьи")]
        public virtual Author Author { get; set; }
        public int AuthorId { get; set; }
    }
}

BlogApplication/Models/Author.cs
using System;
using System.ComponentModel.DataAnnotations;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace BlogApplication.Models
{
    public class Author
    {
        public int Id { get; set; }

        [Display(Name = "Имя автора")]
        public string Name { get; set; }

        [Display(Name = "Статьи автора")]
        public virtual IEnumerable<Article> Articles{ get; set;}

        [Display(Name = "Отзывы автора")]
        public virtual IEnumerable<Feedback> Feedbacks { get; set; }
    }
}

BlogApplication/Models/BlogContext.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;

namespace BlogApplication.Models
{
    public class BlogContext:DbContext
    {
        public DbSet<Article> Articles { get; set; }
        public DbSet<Author> Authors { get; set; }
        public DbSet<Feedback> Feedbacks { get; set; }
    }
}

BlogApplication/Models/Feedback.cs
using System;
using System.ComponentModel.DataAnnotations;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace BlogApplication.Models
{
    public class Feedback
    {
        public int Id { get; set; }

        [Display(Name = "Текст отзыва")]
        [Required]
        public string Text { get; set; }

        [Display(Name = "Дата публикации отзыва")]
        [Required]
        public DateTime PublicationDate { get; set; }

        [Display(Name = "Автор отзыва")]
        [Required]
        public int AuthorId { get; set; }
        public virtual Author Author { get; set; }
    }
}

BlogApplication/Controllers/BlankController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using BlogApplication.Models;

namespace BlogApplication.Controllers
{
    public class BlankController : Controller
    {
        BlogContext db = new BlogContext();
        public ActionResult Index()
        {

            return View();
        }
    }
}

BlogApplication/Controllers/FeedBackController.cs
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using BlogApplication.Models;

namespace BlogApplication.Controllers
{
    public class FeedBackController : Controller
    {
        BlogContext db = new BlogContext();
        [HttpGet]
        public ActionResult Index()
        {
            return View(db.Feedbacks.ToList());
        }

        [HttpPost]
        public ActionResult Index(Feedback feedback)
        {
            feedback.PublicationDate = DateTime.UtcNow;
            if (ModelState.IsValid)
            {
                db.Entry(feedback).State = EntityState.Added;
                db.SaveChanges();
            }
            return RedirectToAction("Index");
        }
    }
}

BlogApplication/Controllers/MainController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using BlogApplication.Models;

namespace BlogApplication.Controllers
{
    public class MainController : Controller
    {
        private BlogContext db = new BlogContext();
        public ActionResult Index()
        {
            return View(db.Articles.OrderByDescending(t => t.PublicationDate).ToList());
        }

        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(404);
            }
            var article = db.Articles.Find(id);
            return View(article);
        }
    }
}

BlogApplication/Views/Blank/Index.cshtml
@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

BlogApplication/Views/FeedBack/Index.cshtml
@using BlogApplication.Models
@model IEnumerable<BlogApplication.Models.Feedback>

@{
    ViewBag.Title = "Index";
}

<h2>FeedBacks</h2>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Author.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Text)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PublicationDate)
        </th>
    </tr>

    @foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Author.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Text)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PublicationDate)
            </td>
        </tr>
    }

</table>
@Html.Partial("PartialAdd", new Feedback() {AuthorId = 1})

BlogApplication/Views/FeedBack/PartialAdd.cshtml
@model BlogApplication.Models.Feedback

@using (Html.BeginForm("Index", "FeedBack", FormMethod.Post, new { @class = "form-inline" }))
{
    <div class="form-group">
        @Html.LabelFor(model => model.Text)
    </div>
    <div class="form-group">
        @Html.TextBoxFor(model => model.Text, new { @class = "form-control" })
    </div>
    @Html.HiddenFor(model => model.AuthorId)

    <input type="submit" value="Send" class="btn btn-default"/>
}

BlogApplication/Views/Main/Details.cshtml
@model BlogApplication.Models.Article

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>

<div>
    <h4>Article</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Author.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Author.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Title)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Title)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Text)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Text)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublicationDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublicationDate)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Back to List", "Index")
</p>

BlogApplication/Views/Main/Index.cshtml
@model IEnumerable<BlogApplication.Models.Article>

@{
    ViewBag.Title = "View";
}

<h2>Our latest articles</h2>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Author.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PublicationDate)
        </th>
    </tr>

@foreach (var item in Model)
{
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Author.Name)
            </td>
            <td>
                @Html.ActionLink(item.Title, "Details", new {id = item.Id})
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PublicationDate)
            </td>
        </tr>
}
</table>

BlogApplication/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Styles.Render("~/Content/styles.css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
<div class="container-fluid">
    <div class="row" id="header">
        <div class="col-md-12">
            <div class="jumbotron clearfix header-container">
                <div class="pull-left">
                    <h1 class="header-title">My blog</h1>
                    <p class="header-slogan">...is my homework :)</p> 
                </div>
                <img src="~/Content/img/logo.png" width="200" class="pull-right"/>
            </div>
        </div>
    </div> 
</div>
<div class="container">
    <div class="row">
        <div class="col-md-9">
            <main class="main-body">
                @RenderBody()
            </main>
        </div>
        <div class="col-md-3">
            <aside class="right-sidebar">
                <ul class="sidebar-navigation-list">
                    <li>@Html.ActionLink("Main", "Index", "Main")</li>
                    <li>@Html.ActionLink("Feedbacks", "Index", "Feedback")</li>
                    <li>@Html.ActionLink("Blanks", "Index", "Blank")</li>
                </ul>
            </aside>
        </div>
    </div>
</div>
<div class="padding-fix"></div>
<div class="text-center footer-container">
    &copy; @DateTime.Now.Year - <a href="#header">to top</a>
</div>
        @Scripts.Render("~/bundles/jquery")
        @Scripts.Render("~/bundles/bootstrap")
        @RenderSection("scripts", required: false)
</body>
</html>